package com.TicketManagement;

import java.util.ArrayList;
/**
 * this class manages the booking flight system
 *
 *@author Mohammad Kazemi
 */
public class Management {
    private ArrayList<Flight> flights;

    public Management(){
        flights=new ArrayList<Flight>();
    }
    /**
     *
     * @return all flights
     */
    public ArrayList<Flight> getFlights() {
        return flights;
    }
    /**
     *takes a flight and add it to flight array list
     *
     * @param flight
     */
    public void addFlight(Flight flight){
        flights.add(flight);
    }
    /**
     *takes an specific flight object and remove it from our flight array list
     *
     * @param flight
     */
    public void removeFlight(Flight flight){flights.remove(flight);}
}
